|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Qt 3 Support Members for QRegExpValidator

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QRegExpValidator class reference

### Public Functions

- QRegExpValidator ( QObject * parent, const char * name )
- QRegExpValidator ( const QRegExp & rx, QObject * parent, const char * name )

- 8 public functions inherited from QObject

## Member Function Documentation

### QRegExpValidator::QRegExpValidator ( QObject * parent, const char * name )

Constructs a validator with a parent object and name that accepts any string (including an empty one) as valid.

### QRegExpValidator::QRegExpValidator ( const QRegExp & rx, QObject * parent, const char * name )

Constructs a validator with a parent object and a name that accepts all strings that match the regular expression rx.

The match is made against the entire string; e.g. if the regexp is [A-Fa-f0-9]+ it will be treated as ^[A-Fa-f0-9]+$.